ANNOUNCEMENT - The community will be down for maintenace this Thursday August 13 from 12:00 AM PT to 02:00 AM PT. As a precaution save your work.
cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
832
Views
0
Helpful
0
Replies
Highlighted
Beginner

Cannot upgrade because uninstall previous versions fail

We are upgrading Cisco AnyConnect Secure Mobility Client and Start Before Login from older versions for 4.x to 4.3.05017.

Some of our systems will not upgrade because the previous versions will not uninstall.  These systems are now in an unstable state where the old versions will not even uninstall from Programs and Features in the Control Panel.  

Normal uninstall msiexec /x string commands also will not work.

What commands can we use to manually remove both of these products and get the systems in a state that will allow us to install 4.3.05017 versions without the systems having fatal errors complaining that the previous versions must be removed first before we can install the new versions?